Herqq

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# HDeviceSetup Class Reference
Device Model

This class is used to specify information that can be used to validate a UPnP device. More...

`#include <HDeviceSetup>`

List of all members.

## Public Member Functions
| HDeviceSetup ()
| HDeviceSetup (const HResourceType &type, HInclusionRequirement incReq=InclusionMandatory)
| HDeviceSetup (const HResourceType &type, int version, HInclusionRequirement incReq=InclusionMandatory)
| ~HDeviceSetup ()
HDeviceSetup & | operator= (const HDeviceSetup &)
| HDeviceSetup (const HDeviceSetup &)
const HResourceType & | deviceType () const
HInclusionRequirement | inclusionRequirement () const
bool | isValid () const
int | version () const
void | setInclusionRequirement (HInclusionRequirement arg)
void | setDeviceType (const HResourceType &arg)
void | setVersion (int version)

## Detailed Description

This class is used to specify information that can be used to validate a UPnP device.

See also:
  HDevicesSetupData, HClientDevice, HServerDevice

Remarks:
  This class is not thread-safe.

## Constructor & Destructor Documentation

HDeviceSetup | ( |  | ) |

Creates a new, invalid instance.

See also:
  isValid()

HDeviceSetup | ( | const HResourceType & | type,
|  | HInclusionRequirement | incReq = `InclusionMandatory`
| ) |  |

Creates a new instance.

Parameters:

  type | specifies the device type.
  incReq | specifies inclusion requirement of the device.

See also:
  isValid()

Remarks:
  the version() is set to 1.

HDeviceSetup | ( | const HResourceType & | type,
|  | int | version,
|  | HInclusionRequirement | incReq = `InclusionMandatory`
| ) |  |

Creates a new instance.

Parameters:

  type | specifies the device type.
  version | specifies the version of the UPnP device, which first specified the embedded device.
  incReq | specifies inclusion requirement of the device.

See also:
  isValid()

~HDeviceSetup | ( |  | ) |

Destroys the instance.

HDeviceSetup | ( | const HDeviceSetup & | other | ) |

Assignment operator.

Copies the contents of other to this.

## Member Function Documentation

HDeviceSetup & operator= | ( | const HDeviceSetup & | other | ) |

Copy constructor.

Creates a copy of other.

const HResourceType & deviceType | ( |  | ) | const

Returns the device type.

Returns:
  The device type.

See also:
  setDeviceType()

HInclusionRequirement inclusionRequirement | ( |  | ) | const

Returns the inclusion requirement.

Returns:
  The inclusion requirement.

See also:
  setInclusionRequirement()

bool isValid | ( |  | ) | const

Indicates if the object is valid.

Returns:
  true in case the object is valid, that is, the device type, version and inclusion requirement are properly defined.

See also:
  version(), deviceType(), inclusionRequirement()

int version | ( |  | ) | const

Returns the version of the UPnP device, which first specified the embedded device.

Returns:
  The version of the UPnP device, which first specified the embedded device.

See also:
  setVersion()

void setInclusionRequirement | ( | HInclusionRequirement | arg | ) |

Sets the the inclusion requirement.

Parameters:

  arg | specifies the inclusion requirement.

See also:
  inclusionRequirement()

void setDeviceType | ( | const HResourceType & | arg | ) |

Sets the device type.

Parameters:

  arg | specifies the device type.

See also:
  deviceType()

void setVersion | ( | int | version | ) |

Specifies the version of the UPnP device, which first specified the embedded device.

Parameters:

  version | specifies the version of the UPnP device, which first specified the embedded device.

See also:
  version()